<?php
/**
 * The template for displaying download archive.
 *
 * @package Olam
 */
get_header(); ?>

<div class="section">
  <div class="container">
    <div class="row">
      <?php $downloadColumn=12; ?>
      <?php  if ( is_active_sidebar( 'olam-download-category-sidebar' )){ 
       $downloadColumn=9;
       ?>
       <div class="col-md-3">
         <div class="sidebar">
           <?php dynamic_sidebar( 'olam-download-category-sidebar' ); ?>
         </div>
       </div>
       <?php } ?>  
       <div class="col-md-<?php echo esc_html($downloadColumn); ?>">
        <div class="row">
         <?php   
         $term=get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) ); 
         $termSlug=(isset($term->slug))?$term->slug:null;
         $searchTerm= (strlen(get_search_query() ) >0 )?get_search_query():null;
         $paged=( get_query_var( 'paged')) ? get_query_var( 'paged') : 1; 
         if ( ! isset( $wp_query->query['orderby'] ) ) { 
          $args = array( 
            'order' => 'ASC', 
            'post_type' => 'download', 
            'download_category'=>$termSlug, 
            's' =>$searchTerm,              
            'paged' => $paged ); 
        } else { 
          switch ($wp_query->query['orderby']) { 
            case 'date': 
            $args = array( 
              'orderby' => 'date', 
              'order' => 'DESC', 
              'post_type' => 'download',
              'download_category'=>$termSlug,
              's' =>$searchTerm,   
              'paged' => $paged ); 
            break; 
            case 'sales': 
            $args = array( 
              'meta_key'=>'_edd_download_sales', 
              'order' => 'DESC', 
              'orderby' => 'meta_value_num',
              'download_category'=>$termSlug,  
              's' =>$searchTerm, 
              'post_type' => 'download', 
              'paged' => $paged ); 
            break; 
            case 'price': 
            $args = array( 
              'meta_key'=>'edd_price', 
              'order' => 'ASC', 
              'orderby' => 'meta_value_num',
              'download_category'=>$termSlug,  
              'post_type' => 'download', 
              's' =>$searchTerm, 
              'paged' => $paged ); 
            break; 
          } } 
          $temp = $wp_query; $wp_query = null; 
          $wp_query = new WP_Query(); $wp_query->query($args); ?>
          <?php if ( $wp_query->have_posts() ) : while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>

           <?php
           $eddColumn=get_theme_mod('olam_edd_columns');
           switch ($eddColumn) {
            case '2 columns':
            $colsize=6;
            $division=2;
            $colclass="col-sm-6";
            break;
            case '3 columns':
            $colsize=4;
            $division=3;
            $colclass=null;
            break;
            case '4 columns':
            $colsize=3;
            $division=4;
            $colclass="col-sm-6";
            break;
            default:
            $colclass=null;
            break;
          }
          if(($wp_query->current_post)%($division)==0){ echo "<div class='row'>"; } ?>
          <div class="col-md-<?php echo esc_attr($colsize); ?> <?php echo esc_attr($colclass); ?>">
            <div class="edd_download_inner">
              <div class="thumb">
                <?php $videoCode=get_post_meta(get_the_ID(),"download_item_video_id");
                $audioCode=get_post_meta(get_the_ID(),"download_item_audio_id");
                if(isset($videoCode[0]) && (strlen($videoCode[0])>0) ){
                  // if(is_numeric($videoCode[0])){
                  //     $videoUrl=wp_get_attachment_url($videoCode[0]);
                  // }
                  // else{
                       $videoUrl=$videoCode[0];                           
                  // }
                  //$videoUrl=wp_get_attachment_url($videoCode[0]);

                  if (strpos($videoUrl, 'vimeo') !== false) {
                      echo '<div class="media-thumb vimeovid">'.do_shortcode("[video src='".esc_url($videoUrl)."']").'</div>';
                  } else {
                      echo '<div class="media-thumb othervid">'.do_shortcode("[video src='".esc_url($videoUrl)."']").'</div>';
                  }

                }
                else if(isset($audioCode[0]) && (strlen($audioCode[0])>0) ){ 
                  //$audioUrl=wp_get_attachment_url($audioCode[0]);
                  ?>
                  <div class="media-thumb">
                    <?php echo do_shortcode("[audio src='".$audioCode[0]."']"); ?>
                  </div> <?php
                } ?>
                <a href="<?php the_permalink(); ?>"><span><i class="demo-icons icon-link"></i></span>
                  <?php $square_img = get_post_meta(get_the_ID(),"download_item_square_img");
                  if (!empty($square_img) && strlen($square_img[0])>0) {
                    echo '<img alt="<?php the_title(); ?>" src="' . esc_url($square_img[0]) .'" />';
                  }
                  elseif ( has_post_thumbnail() ) {
                    the_post_thumbnail('olam-product-thumb');
                  }
                  else {
                    echo '<img alt="<?php the_title(); ?>" src="' . get_template_directory_uri(). '/img/thumbnail-default.jpg" />';
                  }
                  ?>
                </a>
              </div>

              <?php $hiderevs=get_theme_mod('olam_hide_reviews'); 
                if ($hiderevs==0) { ?>

              <div class="product-review-avg">
                <?php
                  if ( class_exists( 'EDD_Reviews' ) ) {
                    $starRating = edd_reviews()->average_rating(false);
                    $starRating=(round($starRating*2))*10;
                    $totalRating = edd_reviews()->count_reviews();
                  ?>
                  <div title="<?php echo esc_attr($starRating/20);?> <?php esc_html_e("out of 5 based on ","olam"); echo esc_attr($totalRating);?> <?php esc_html_e("reviews","olam");?>" class="download-rating">
                  <div class="wrap-rating listing">
                    <div class="rating">
                      <span class="fa fa-star" data-vote="1"></span>
                      <span class="fa fa-star" data-vote="2"></span>
                      <span class="fa fa-star" data-vote="3"></span>
                      <span class="fa fa-star" data-vote="4"></span>
                      <span class="fa fa-star" data-vote="5"></span>          
                    </div>
                    <div class="rated" style="width:<?php echo esc_html($starRating);?>%">
                      <div class="rating">
                        <span class="fa fa-star" data-vote="1"></span>
                        <span class="fa fa-star" data-vote="2"></span>
                        <span class="fa fa-star" data-vote="3"></span>
                        <span class="fa fa-star" data-vote="4"></span>
                        <span class="fa fa-star" data-vote="5"></span>          
                      </div>
                    </div>
                    <span class="clearfix"></span>
                  </div>
                  <!-- <span class="ratingcount">(<?php //echo $totalRating; ?>)</span> -->
                </div>
                <?php } ?>

              </div>  
              <?php } ?>
              
              <div class="product-details">
                <div class="product-name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>
                <div class="product-price">
                  <?php //check if variable price
                  $defaultPriceID=edd_get_default_variable_price( get_the_ID() );
                  if (edd_has_variable_prices(get_the_ID()) ) { 
                    $lowp = edd_get_lowest_price_option( get_the_ID() ); 
                    $highp = edd_get_highest_price_option( get_the_ID() );
                    ?>
                    <span class="var-price edd_price"><?php echo edd_currency_filter(edd_format_amount($lowp)); ?> - <?php echo edd_currency_filter(edd_format_amount($highp)); ?></span>
                  <?php } elseif (edd_is_free_download(get_the_ID()) ) { ?>
                        <span class="free-price edd_price"><?php esc_html_e("Free","olam"); ?></span>
                      <?php } else { ?>
                      <span class="norm-price edd_price"><?php edd_price(get_the_ID(),true,$defaultPriceID); ?></span>          
                  <?php } ?>            
                </div>
                <?php if ( has_excerpt() ) : // Only show custom excerpts not autoexcerpts 
                  $shortexcerpt = wp_trim_words(get_the_excerpt(), 30); ?>
                  <p class="olam-custom-excerpt"><?php echo esc_html($shortexcerpt); ?></p>
                <?php endif; ?>

                <div class="details-bottom">
                  <div class="product-options">
                    <a href="<?php the_permalink(); ?>" title="<?php esc_attr_e('View','olam'); ?> "><i class="demo-icons icon-search"></i></a>                                            
                    <?php if(!olam_check_if_added_to_cart(get_the_ID())){
                      $eddOptionAddtocart=edd_get_option( 'add_to_cart_text' );
                      $addCartText=(isset($eddOptionAddtocart) && $eddOptionAddtocart  != '') ?$eddOptionAddtocart:esc_html__("Add to cart","olam");
                      if(edd_has_variable_prices(get_the_ID())){
                        $downloadArray=array('edd_action'=>'add_to_cart','download_id'=>$post->ID,'edd_options[price_id]'=>$defaultPriceID);
                      }
                      else{
                        $downloadArray=array('edd_action'=>'add_to_cart','download_id'=>$post->ID);
                      }
                      ?>  
                      <a href="<?php echo esc_url(add_query_arg($downloadArray,edd_get_checkout_uri())); ?>" title="<?php esc_attr_e('Buy Now','olam'); ?>"><i class="demo-icons icon-download"></i></a>
                      <?php
                      $purchase_link_args = array(
                        'download_id' => get_the_ID(),
                        'price' => false,
                        'direct' => false,
                        'style' => 'plain',
                        'class' => 'demo-icons icon-cart cart-icon-btn',
                        'text' => '',
                      );
                      $purchase_link_args = apply_filters( 'edd_rp_purchase_link_args', $purchase_link_args );
                      echo edd_get_purchase_link( $purchase_link_args );
                      } else { ?>
                      <a class="cart-added" href="<?php echo edd_get_checkout_uri(); ?>" title="<?php esc_attr_e('Checkout','olam'); ?> "><i class="fa fa-check"></i></a>    
                    <?php } ?>
                  </div>

                <?php $olamct=get_theme_mod('olam_show_cats');
                  if(isset($olamct)&& $olamct==1 ){
                  $cat = wp_get_post_terms(get_the_ID(),'download_category');
                  if(count($cat)>0){
                  $mlink = get_term_link($cat[0]->slug,'download_category');
                  ?><div class="product-author"><a href="<?php echo esc_url($mlink); ?>"><?php echo esc_html($cat[0]->name); ?></a></div><?php
                  } }
                  else {
                  ?> <div class="product-author"><span class="authorby"><?php esc_html_e("by","olam"); ?> </span><a href="<?php echo esc_url(olam_edd_fes_author_url(get_the_author_meta('ID'))); ?>"><?php the_author(); ?></a></div><?php
                  }
                ?>
                  
                </div>
              </div>
            </div>
            <?php if(($wp_query->current_post+1)%3==0){  echo "</div>"; }
            else if(($wp_query->current_post+1)==$wp_query->post_count ){ echo "</div>"; } ?>
          </div>
          <?php endwhile; else : ?>
          <p><?php esc_html_e( 'Sorry, no posts matched your criteria.','olam'); ?></p>
        
      </div>
      <div class="pagination">
        <?php
        if (function_exists("olam_pagination")) {
          olam_pagination();
        }
        ?>
      </div>
      <?php endif; ?>
    </div>
  </div>
</div>
</div>

<?php get_footer(); ?>