<?php
global $post;
$suggestion_data = edd_rp_get_suggestions( $post->ID );

if ( is_array( $suggestion_data ) && !empty( $suggestion_data ) ) :
	$suggestions = array_keys( $suggestion_data );

	$suggested_downloads = new WP_Query( array( 'post__in' => $suggestions, 'post_type' => 'download' ) );

	if ( $suggested_downloads->have_posts() ) : ?>
		<div id="edd-rp-single-wrapper" class="alter">
			<h5 id="edd-rp-single-header"><?php echo sprintf( __( 'Users who purchased %s, also purchased:', 'edd-rp-txt' ), get_the_title() ); ?></h5>
			<div id="edd-rp-items-wrapper" class="edd-rp-single">
				<?php $countRow = 1; // Editted: for creating 3 item rows
				while ( $suggested_downloads->have_posts() ) : ?>
					<?php $suggested_downloads->the_post();	?>

					<?php if ($countRow%3 == 1) { // Editted: for creating 3 item rows
						echo "<div class='row'>";
					}	?>

						<div class="col-md-4">
							<div class="edd-rp-item alter <?php echo ( !current_theme_supports( 'post-thumbnails' ) ) ? 'edd-rp-nothumb' : ''; ?>">
								<?php do_action( 'edd_rp_item_before' ); ?>

								<a href="<?php the_permalink(); ?>">
									<?php the_title( '<span class="edd-rp-item-title">', '</span>' ); ?>

									<?php do_action( 'edd_rp_item_after_title' ); ?>

									<?php // Editted: for square image or featured image with size = 'olam-product-thumb' instead of 125x125
									$square_img = get_post_meta(get_the_ID(),"download_item_square_img");

									$thumbID=get_post_thumbnail_id(get_the_ID());
									$featImage=wp_get_attachment_image_src($thumbID,'olam-product-thumb');
									$featImage=$featImage[0]; 

									if (!empty($square_img) && strlen($square_img[0])>0) { ?>
										<div class="edd_cart_item_image">
											<img alt="<?php the_title(); ?>" src="<?php echo esc_url($square_img[0]); ?>" />
										</div> <?php
				                 	}
									else if((isset($featImage))&&(strlen($featImage)>0)){
										$alt = get_post_meta($thumbID, '_wp_attachment_image_alt', true); ?>
										<div class="edd_cart_item_image">
											<img src="<?php echo esc_url($featImage); ?>" alt="<?php echo esc_attr($alt); ?>">
										</div> <?php
									}
									/*if ( current_theme_supports( 'post-thumbnails' ) && has_post_thumbnail( get_the_ID() ) ) :?>
										<div class="edd_cart_item_image">
											<?php echo get_the_post_thumbnail( get_the_ID(), apply_filters( 'edd_checkout_image_size', array( 125,125 ) ) ); ?>
										</div>
									<?php*/
									else { ?>
										<br /> <?php
									} ?>
								</a>

								<div class="product-details">

						        <?php $hiderevs=get_theme_mod('olam_hide_reviews'); 
						          if ($hiderevs==0) { ?>

						        <div class="product-review-avg">
						          <?php
						            if ( class_exists( 'EDD_Reviews' ) ) {
						              $starRating = edd_reviews()->average_rating(false);
						              $starRating=(round($starRating*2))*10;
						              $totalRating = edd_reviews()->count_reviews();
						            ?>
						            <div title="<?php echo esc_attr($starRating/20);?> <?php esc_html_e("out of 5 based on ","olam"); echo esc_attr($totalRating);?> <?php esc_html_e("reviews","olam");?>" class="download-rating">
						            <div class="wrap-rating listing">
						              <div class="rating">
						                <span class="fa fa-star" data-vote="1"></span>
						                <span class="fa fa-star" data-vote="2"></span>
						                <span class="fa fa-star" data-vote="3"></span>
						                <span class="fa fa-star" data-vote="4"></span>
						                <span class="fa fa-star" data-vote="5"></span>          
						              </div>
						              <div class="rated" style="width:<?php echo esc_html($starRating);?>%">
						                <div class="rating">
						                  <span class="fa fa-star" data-vote="1"></span>
						                  <span class="fa fa-star" data-vote="2"></span>
						                  <span class="fa fa-star" data-vote="3"></span>
						                  <span class="fa fa-star" data-vote="4"></span>
						                  <span class="fa fa-star" data-vote="5"></span>          
						                </div>
						              </div>
						              <span class="clearfix"></span>
						            </div>
						           <!-- <span class="ratingcount">(<?php //echo esc_html($totalRating); ?>)</span> -->
						          </div>
						          <?php } ?>

						        </div>  
						        <?php } ?>

						   			<div class="product-name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>
						   			<div class="product-price">
						          <?php //check if variable price
						          $defaultPriceID=edd_get_default_variable_price( get_the_ID() );
						          if (edd_has_variable_prices(get_the_ID()) ) { 
						            $lowp = edd_get_lowest_price_option( get_the_ID() ); 
						            $highp = edd_get_highest_price_option( get_the_ID() );
						            ?>
						            <span class="var-price edd_price"><?php echo edd_currency_filter(edd_format_amount($lowp)); ?> - <?php echo edd_currency_filter(edd_format_amount($highp)); ?></span>
						          <?php } elseif (edd_is_free_download(get_the_ID()) ) { ?>
						                <span class="free-price edd_price"><?php esc_html_e("Free","olam"); ?></span>
						              <?php } else { ?>
						              <span class="norm-price edd_price"><?php edd_price(get_the_ID(),true,$defaultPriceID); ?></span>          
						          <?php } ?>            
						        </div>
						            <?php if ( has_excerpt() ) : // Only show custom excerpts not autoexcerpts 
						              $shortexcerpt = wp_trim_words(get_the_excerpt(), 30); ?>
						           <p class="olam-custom-excerpt"><?php echo esc_html($shortexcerpt); ?></p>
						            <?php endif; ?>

						   			<div class="details-bottom">
						   				<div class="product-options">
						   					<a href="<?php the_permalink(); ?>" title="<?php esc_attr_e('View','olam'); ?> "><i class="demo-icons icon-search"></i></a>                                            
						   					<?php if(!olam_check_if_added_to_cart(get_the_ID())){
						   						$eddOptionAddtocart=edd_get_option( 'add_to_cart_text' );
						   						$addCartText=(isset($eddOptionAddtocart) && $eddOptionAddtocart  != '') ?$eddOptionAddtocart:esc_html__("Add to cart","olam");
						   						if(edd_has_variable_prices(get_the_ID())){
						   							$downloadArray=array('edd_action'=>'add_to_cart','download_id'=>$post->ID,'edd_options[price_id]'=>$defaultPriceID);
						   						}
						   						else{
						   							$downloadArray=array('edd_action'=>'add_to_cart','download_id'=>$post->ID);
						   						}
						   						?>	
						   						<a href="<?php echo esc_url(add_query_arg($downloadArray,edd_get_checkout_uri())); ?>" title="<?php esc_attr_e('Buy Now','olam'); ?>"><i class="demo-icons icon-download"></i></a>
						              <?php
						              $purchase_link_args = array(
						                'download_id' => get_the_ID(),
						                'price' => false,
						                'direct' => false,
						                'style' => 'plain',
						                'class' => 'demo-icons icon-cart cart-icon-btn',
						                'text' => '',
						              );
						              $purchase_link_args = apply_filters( 'edd_rp_purchase_link_args', $purchase_link_args );
						              echo edd_get_purchase_link( $purchase_link_args );
						              } else { ?>
						   						<a class="cart-added" href="<?php echo edd_get_checkout_uri(); ?>" title="<?php esc_attr_e('Checkout','olam'); ?> "><i class="fa fa-check"></i></a>    
						   					<?php } ?>
						   				</div>

						   					<?php $olamct=get_theme_mod('olam_show_cats');
						      				if(isset($olamct)&& $olamct==1 ){
						              $cat = wp_get_post_terms(get_the_ID(),'download_category');
						         		  if(count($cat)>0){
						              $mlink = get_term_link($cat[0]->slug,'download_category');
						              ?><div class="product-author"><a href="<?php echo esc_url($mlink); ?>"><?php echo esc_html($cat[0]->name); ?></a></div><?php
						              } }
						              else {
						              ?> <div class="product-author"><span class="authorby"><?php esc_html_e("by","olam"); ?> </span><a href="<?php echo esc_url(olam_edd_fes_author_url(get_the_author_meta('ID'))); ?>"><?php the_author(); ?></a></div><?php
						              }
						            ?>
						   				</div>

						   			</div>


							</div>
						</div>

					<?php if ($countRow%3 == 0) { // Editted: for creating 3 item rows
						echo "</div>";
					}
					$countRow++; ?>

				<?php endwhile; ?>
					<?php if ($countRow%3 != 1) echo "</div>"; // Editted: for creating 3 item rows
					// This is to ensure there is no open div if the number of elements is not a multiple of 3 ?>
			</div>
		</div>
	<?php endif; ?>

	<?php wp_reset_postdata(); ?>

<?php endif; ?>