<?php
/*
Template Name: User Profile
*/
get_header();
?>
<?php
/*
Template Name: User Profile
*/

// Get the current user ID
$user_id = get_current_user_id();

// Define the user meta fields you want to display
$user_meta_fields = array(
    'first_name' => 'First Name',
    'last_name' => 'Last Name',
    'nickname' => 'Nick Name',
    'description' => 'Description',
    'email' => 'Email',
    'author_fb_url' => 'Facebook URL',
    'author_youtube_url' => 'YouTube URL',
    'author_linkedin_url' => 'LinkedIn URL',
    'author_twitter_url' => 'Twitter URL',
    'phone_number' => 'Phone Number', // New field added
);

// Get the user meta data
$meta_data = array();

// Get the user data from wp_usermeta table
$user_meta = get_user_meta($user_id);
foreach ($user_meta_fields as $meta_key => $label) {
    if (isset($user_meta[$meta_key][0])) {
        $meta_data[$label] = $user_meta[$meta_key][0];
    }
}

// Get the user email
$current_user = wp_get_current_user();
$user_email = $current_user->user_email;
$meta_data['Email'] = $user_email;

// Get the user phone number
$user_phone_number = get_user_meta($user_id, 'phone_number', true); // Fetch the value from the 'phone_number' usermeta field
$meta_data['Phone Number'] = $user_phone_number; // Assign it to the meta data array

// Get the user address
global $wpdb;
$table_name = $wpdb->prefix . 'edd_customer_addresses';
$data = $wpdb->get_row($wpdb->prepare("SELECT * FROM $table_name WHERE customer_id = %d", $user_id));

$user_city = isset($data->city) ? $data->city : '';
$user_region = isset($data->region) ? $data->region : '';
$user_postal_code = isset($data->postal_code) ? $data->postal_code : '';
$user_country = isset($data->country) ? $data->country : '';

?>

<!-- HTML starts here -->
<div class="view-details">
    <div class="user-profile">
        <h1><?php echo esc_html(get_the_title()); ?></h1>
        <table>
            <tbody>
                <?php foreach ($meta_data as $label => $meta_value) : ?>
                    <tr>
                        <th><?php echo esc_html($label); ?></th>
                        <td><?php echo esc_html($meta_value); ?></td>
                    </tr>
                <?php endforeach; ?>
                <tr>
                    <th>Address</th>
                    <td><?php echo esc_html($user_city . ', ' . $user_region . ' ' . $user_postal_code . ', ' . $user_country); ?></td>
                </tr>
            </tbody>
        </table>
        <a class="btn btn-primary" href="/edd-profile-editor/">Edit Profile</a>
    </div>
</div>

<?php get_footer(); ?>